package com.logicbig.example;

import javax.ws.rs.GET;
import javax.ws.rs.HeaderParam;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import java.io.InputStream;
import java.util.List;
import java.util.stream.Collectors;

@Path("/")
public class MyResource {

    @GET
    @Path("test")
    public String collectionTest(@HeaderParam("myHeader") List<String> list) {
        if (list == null) {
            return "null";
        }
        String rv = "Collection size: " + list.size() +
                "\nvalues: \n";
        rv += list.stream()
                  .map(Object::toString)
                  .collect(Collectors.joining("\n"));
        return rv;
    }

    @GET
    @Path("page")
    @Produces({MediaType.TEXT_HTML})
    public InputStream viewPage() {
        return MyResource.class.getClassLoader()
                               .getResourceAsStream("myPage.html");
    }
}